Get all transactions Run in API Explorer
Ask AI
Query parameters
-
Filter by a comma separated list of UUIDs.
-
Comma separated list of sub account UUIDs to filter by
-
Comma separated list of holding UUIDs to filter by
-
Comma separated list of types to filter by
-
Comma separated list of sub-types to filter by
-
Get transactions from a date.
-
Get transactions to a date.
-
Get transactions greater than or equal to an amount in pennies.
-
Get transactions less than or equal to an amount in pennies.
-
Field to sort by. Valid fields are [created_at, updated_at, type, amount, date]. Negative sign to denote DESC. Defaults to '-date'.
-
Number of results to return with pagination (Default 15. Max 500).
GET
/api/v1/plans/{plan_uuid}/transaction
curl \
--request GET 'https://api.plannrcrm.com/api/v1/plans/dcf0-484e-a0c5-08590fe89a84-f6aa1670/transaction' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"data": [
{
"uuid": "7f8005e2-48b7-4129-bd8f-6d3cdba5917b",
"created_at": "2026-10-02T16:26:38+01:00",
"updated_at": "2026-10-02T16:26:38+01:00",
"plan": {
"uuid": "913213e8-1f05-459f-853d-77fc336d8f6d",
"created_at": "2026-10-02T16:26:38+01:00",
"updated_at": "2026-10-02T16:26:38+01:00",
"opened_at": "2026-10-02T16:26:38+01:00",
"name": "Johns ISA",
"type": "cash_account",
"sub_type": "lifetime isa",
"abstract_type": "asset",
"policy_number": "AVIVA-123",
"proposal_reference": "AB123456",
"status": "inactive",
"inactive_at": "2026-10-02T16:26:38+01:00",
"inactive_reason": "claimed",
"agency_in_your_name": true,
"agency_in_your_name_from": "2025-10-02",
"originally_sold_by_firm": true,
"under_advice": true,
"visible_on_client_portal": true,
"include_in_client_valuation": true,
"show_on_joint": true,
"shown_on_circles": true,
"review_date": "2025-10-02",
"on_panel": true,
"is_group_scheme": false,
"is_sub_group_scheme": false,
"is_group_scheme_member": false,
"advice_area": "non_investment_insurance",
"main_account": {
"uuid": "a9c72b16-7329-49f0-9862-871b8face9fa",
"created_at": "2026-10-02T16:26:44+01:00",
"updated_at": "2026-10-02T16:26:44+01:00",
"name": "John's ISA",
"policy_number": "AVI-4837",
"is_main_account": false,
"statistics": {
"recent_growth": 100
}
},
"sub_accounts": {
"uuid": "a9c72b16-7329-49f0-9862-871b8face9fa",
"created_at": "2026-10-02T16:26:44+01:00",
"updated_at": "2026-10-02T16:26:44+01:00",
"name": "John's ISA",
"policy_number": "AVI-4837",
"is_main_account": false,
"statistics": {
"recent_growth": 100
}
},
"provider": {
"uuid": "859523ed-2cd8-4715-a78c-d827c21b1e85",
"created_at": "2026-10-02T16:26:44+01:00",
"updated_at": "2026-10-02T16:26:44+01:00",
"name": "AJ Bell",
"slug": "aj-bell"
},
"covers": {
"uuid": "e556295e-144f-414d-947f-81b1deed26a4",
"created_at": "2026-10-02T16:26:44+01:00",
"updated_at": "2026-10-02T16:26:44+01:00",
"cover_type": "critical_illness",
"benefit_amount": {
"amount": {
"example": "25000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£250,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"benefit_frequency": "monthly",
"benefit_status": "active",
"excess": {
"amount": {
"example": "10000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£100.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"indexation": 1.4
},
"claims": {
"uuid": "6aebc616-f088-4cbd-9232-9b0b2b3ab6fd",
"created_at": "2026-10-02T16:26:44+01:00",
"updated_at": "2026-10-02T16:26:44+01:00",
"claim_amount": {
"amount": {
"example": "25000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£250,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"claim_start_date": "2025-10-02",
"claim_end_date": "2031-10-02",
"claim_notes": "Claim notes"
},
"total_benefit_amount": {
"amount": {
"example": "25000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£250,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"total_benefits": {
"critical_illness": {
"amount": {
"example": "15000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£150,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"family_income_benefit": {
"amount": {
"example": "10000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£100,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
}
},
"latest_valuations": {
"uuid": "e34f8e70-34fa-4c1d-a613-0596afb9359e",
"created_at": "2026-10-02T16:26:44+01:00",
"updated_at": "2026-10-02T16:26:44+01:00",
"valued_at": "2026-10-02T16:26:44+01:00",
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
}
},
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"valued_at": "2026-10-02T16:26:38+01:00",
"original_valued_at": "2026-10-01T16:26:38+01:00",
"client": {
"uuid": "b34cabd1-7751-44df-80dc-e3e23f93f4de",
"created_at": "2026-10-02T16:26:44+01:00",
"updated_at": "2026-10-02T16:26:44+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-02T16:26:44+01:00",
"next_review_date": "2026-10-02T16:26:44+01:00",
"previous_review_date": "2026-10-02T16:26:44+01:00",
"anniversary_review_date": "2026-10-02T16:26:44+01:00",
"terms_of_business_at": "2026-10-02T16:26:44+01:00",
"client_agreement_at": "2026-10-02T16:26:44+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-02",
"last_interaction_at": "2026-10-02 16:26:44",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-02T16:26:44+01:00",
"out_of_office_until": "2026-10-02T16:26:44+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"accounts": {
"uuid": "b34cabd1-7751-44df-80dc-e3e23f93f4de",
"created_at": "2026-10-02T16:26:44+01:00",
"updated_at": "2026-10-02T16:26:44+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-02T16:26:44+01:00",
"next_review_date": "2026-10-02T16:26:44+01:00",
"previous_review_date": "2026-10-02T16:26:44+01:00",
"anniversary_review_date": "2026-10-02T16:26:44+01:00",
"terms_of_business_at": "2026-10-02T16:26:44+01:00",
"client_agreement_at": "2026-10-02T16:26:44+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-02",
"last_interaction_at": "2026-10-02 16:26:44",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-02T16:26:44+01:00",
"out_of_office_until": "2026-10-02T16:26:44+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"seller": {
"uuid": "b34cabd1-7751-44df-80dc-e3e23f93f4de",
"created_at": "2026-10-02T16:26:44+01:00",
"updated_at": "2026-10-02T16:26:44+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-02T16:26:44+01:00",
"next_review_date": "2026-10-02T16:26:44+01:00",
"previous_review_date": "2026-10-02T16:26:44+01:00",
"anniversary_review_date": "2026-10-02T16:26:44+01:00",
"terms_of_business_at": "2026-10-02T16:26:44+01:00",
"client_agreement_at": "2026-10-02T16:26:44+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-02",
"last_interaction_at": "2026-10-02 16:26:44",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-02T16:26:44+01:00",
"out_of_office_until": "2026-10-02T16:26:44+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"linked_owners": {
"uuid": "b34cabd1-7751-44df-80dc-e3e23f93f4de",
"created_at": "2026-10-02T16:26:44+01:00",
"updated_at": "2026-10-02T16:26:44+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-02T16:26:44+01:00",
"next_review_date": "2026-10-02T16:26:44+01:00",
"previous_review_date": "2026-10-02T16:26:44+01:00",
"anniversary_review_date": "2026-10-02T16:26:44+01:00",
"terms_of_business_at": "2026-10-02T16:26:44+01:00",
"client_agreement_at": "2026-10-02T16:26:44+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-02",
"last_interaction_at": "2026-10-02 16:26:44",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-02T16:26:44+01:00",
"out_of_office_until": "2026-10-02T16:26:44+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"linked_plans": {
"uuid": "cd091c53-8521-46aa-a6f5-6cb842ad6bc2",
"created_at": "2026-10-02T16:26:44+01:00",
"updated_at": "2026-10-02T16:26:44+01:00",
"opened_at": "2026-10-02T16:26:44+01:00",
"name": "Johns ISA",
"type": "cash_account",
"sub_type": "lifetime isa",
"abstract_type": "asset",
"policy_number": "AVIVA-123",
"proposal_reference": "AB123456",
"status": "inactive",
"inactive_at": "2026-10-02T16:26:44+01:00",
"inactive_reason": "claimed",
"agency_in_your_name": true,
"agency_in_your_name_from": "2025-10-02",
"originally_sold_by_firm": true,
"under_advice": true,
"visible_on_client_portal": true,
"include_in_client_valuation": true,
"show_on_joint": true,
"shown_on_circles": true,
"review_date": "2025-10-02",
"on_panel": true,
"is_group_scheme": false,
"is_sub_group_scheme": false,
"is_group_scheme_member": false,
"advice_area": "non_investment_insurance",
"total_benefit_amount": {
"amount": {
"example": "25000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£250,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"total_benefits": {
"critical_illness": {
"amount": {
"example": "15000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£150,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"family_income_benefit": {
"amount": {
"example": "10000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£100,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
}
},
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"valued_at": "2026-10-02T16:26:44+01:00",
"original_valued_at": "2026-10-01T16:26:44+01:00",
"statistics": {
"recent_growth": 100
},
"is_wrap_product": false,
"is_wrap_child": false,
"can_be_deleted": "false"
},
"visible_to_circles": {
"uuid": "6642a040-0173-4675-a3e4-ed57a065f435",
"created_at": "2026-10-02T16:26:44+01:00",
"updated_at": "2026-10-02T16:26:44+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-10-02T16:26:44+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "105cd763-eea7-465f-97b9-b60463995ef1",
"login_access_level": "write",
"current_life_stage_uuid": "476c1178-cbed-4adf-826e-17348d6f9303"
},
"statistics": {
"recent_growth": 100
},
"cases": {
"uuid": "37862f3e-c15f-4270-a3b4-05363ff8d4cc",
"created_at": "2026-10-02T16:26:44+01:00",
"updated_at": "2026-10-02T16:26:44+01:00",
"name": "finance",
"slug": "finance",
"review_at": "2026-10-02T16:26:44+01:00",
"assigned_to_uuids": [
null
],
"group_uuids": [
null
],
"completed_at": "2026-10-02T16:26:44+01:00",
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"status_position": 4,
"participants_count": 4,
"task_board_uuid": null
},
"tags": {
"uuid": "ca8e58fb-b4f2-40fa-a063-8f3f8e633553",
"created_at": "2026-10-02T16:26:44+01:00",
"updated_at": "2026-10-02T16:26:44+01:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
},
"is_wrap_product": false,
"is_wrap_child": false,
"wrap": {
"uuid": "cd091c53-8521-46aa-a6f5-6cb842ad6bc2",
"created_at": "2026-10-02T16:26:44+01:00",
"updated_at": "2026-10-02T16:26:44+01:00",
"opened_at": "2026-10-02T16:26:44+01:00",
"name": "Johns ISA",
"type": "cash_account",
"sub_type": "lifetime isa",
"abstract_type": "asset",
"policy_number": "AVIVA-123",
"proposal_reference": "AB123456",
"status": "inactive",
"inactive_at": "2026-10-02T16:26:44+01:00",
"inactive_reason": "claimed",
"agency_in_your_name": true,
"agency_in_your_name_from": "2025-10-02",
"originally_sold_by_firm": true,
"under_advice": true,
"visible_on_client_portal": true,
"include_in_client_valuation": true,
"show_on_joint": true,
"shown_on_circles": true,
"review_date": "2025-10-02",
"on_panel": true,
"is_group_scheme": false,
"is_sub_group_scheme": false,
"is_group_scheme_member": false,
"advice_area": "non_investment_insurance",
"total_benefit_amount": {
"amount": {
"example": "25000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£250,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"total_benefits": {
"critical_illness": {
"amount": {
"example": "15000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£150,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"family_income_benefit": {
"amount": {
"example": "10000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£100,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
}
},
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"valued_at": "2026-10-02T16:26:44+01:00",
"original_valued_at": "2026-10-01T16:26:44+01:00",
"statistics": {
"recent_growth": 100
},
"is_wrap_product": false,
"is_wrap_child": false,
"can_be_deleted": "false"
},
"wrap_children": {
"uuid": "cd091c53-8521-46aa-a6f5-6cb842ad6bc2",
"created_at": "2026-10-02T16:26:44+01:00",
"updated_at": "2026-10-02T16:26:44+01:00",
"opened_at": "2026-10-02T16:26:44+01:00",
"name": "Johns ISA",
"type": "cash_account",
"sub_type": "lifetime isa",
"abstract_type": "asset",
"policy_number": "AVIVA-123",
"proposal_reference": "AB123456",
"status": "inactive",
"inactive_at": "2026-10-02T16:26:44+01:00",
"inactive_reason": "claimed",
"agency_in_your_name": true,
"agency_in_your_name_from": "2025-10-02",
"originally_sold_by_firm": true,
"under_advice": true,
"visible_on_client_portal": true,
"include_in_client_valuation": true,
"show_on_joint": true,
"shown_on_circles": true,
"review_date": "2025-10-02",
"on_panel": true,
"is_group_scheme": false,
"is_sub_group_scheme": false,
"is_group_scheme_member": false,
"advice_area": "non_investment_insurance",
"total_benefit_amount": {
"amount": {
"example": "25000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£250,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"total_benefits": {
"critical_illness": {
"amount": {
"example": "15000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£150,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"family_income_benefit": {
"amount": {
"example": "10000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£100,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
}
},
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"valued_at": "2026-10-02T16:26:44+01:00",
"original_valued_at": "2026-10-01T16:26:44+01:00",
"statistics": {
"recent_growth": 100
},
"is_wrap_product": false,
"is_wrap_child": false,
"can_be_deleted": "false"
},
"linked_policy_numbers": {
"uuid": "99218336-958a-42a0-ab0f-38aa114af609",
"created_at": "2026-10-02T16:26:44+01:00",
"updated_at": "2026-10-02T16:26:44+01:00",
"linked_policy_number": "ABC123-X"
},
"can_be_deleted": "false",
"contract_enquiry_account": {
"uuid": "b34cabd1-7751-44df-80dc-e3e23f93f4de",
"created_at": "2026-10-02T16:26:44+01:00",
"updated_at": "2026-10-02T16:26:44+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-02T16:26:44+01:00",
"next_review_date": "2026-10-02T16:26:44+01:00",
"previous_review_date": "2026-10-02T16:26:44+01:00",
"anniversary_review_date": "2026-10-02T16:26:44+01:00",
"terms_of_business_at": "2026-10-02T16:26:44+01:00",
"client_agreement_at": "2026-10-02T16:26:44+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-02",
"last_interaction_at": "2026-10-02 16:26:44",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-02T16:26:44+01:00",
"out_of_office_until": "2026-10-02T16:26:44+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"mortgage_product": {
"uuid": "dd4f408e-a284-494d-aa65-bae8997765ac",
"created_at": "2026-10-02T16:26:44+01:00",
"updated_at": "2026-10-02T16:26:44+01:00",
"provider_reference": "example-reference",
"provider_scenario_name": "Single Applicant, Small Deposit",
"provider_scenario_data": [],
"lender_name": "HSBC",
"product_title": "5% Fixed Rate - 5 year"
},
"custom_fields": {
"uuid": null,
"created_at": "2026-10-02T16:26:44+01:00",
"updated_at": "2026-10-02T16:26:44+01:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink."
},
"external_references": {
"uuid": "d0c9bc99-aee6-4861-b554-e1c42c566c7c",
"created_at": "2026-10-02T16:26:44+01:00",
"updated_at": "2026-10-02T16:26:44+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"sub_account": {
"uuid": "e0339f6b-f178-40a7-a387-894884f82ae0",
"created_at": "2026-10-02T16:26:38+01:00",
"updated_at": "2026-10-02T16:26:38+01:00",
"name": "John's ISA",
"policy_number": "AVI-4837",
"latest_valuation": {
"uuid": "e34f8e70-34fa-4c1d-a613-0596afb9359e",
"created_at": "2026-10-02T16:26:44+01:00",
"updated_at": "2026-10-02T16:26:44+01:00",
"valued_at": "2026-10-02T16:26:44+01:00",
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
}
},
"is_main_account": false,
"active_portfolio": {
"uuid": "bda83d62-adb3-4e68-a60d-f10ea950a504",
"created_at": "2026-10-02T16:26:44+01:00",
"updated_at": "2026-10-02T16:26:44+01:00",
"is_proposed": true,
"proposed_at": "2026-10-02T00:00:00+01:00",
"name": "Risky Portfolio"
},
"statistics": {
"recent_growth": 100
}
},
"holding": {
"uuid": "9239b7d6-70f4-4195-8d47-569af3d4e4ad",
"created_at": "2026-10-02T16:26:38+01:00",
"updated_at": "2026-10-02T16:26:38+01:00",
"fund_name": "Fund",
"reference": "REF123",
"sector": "Europe",
"sedol": "ACB123",
"isin": "ACB123",
"citi": "ACB123",
"units": 5,
"unit_price": {
"amount": {
"example": "1000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£10.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"unit_price_raw": 10,
"purchase_price": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"is_active": true,
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"sub_account": {
"uuid": "a9c72b16-7329-49f0-9862-871b8face9fa",
"created_at": "2026-10-02T16:26:44+01:00",
"updated_at": "2026-10-02T16:26:44+01:00",
"name": "John's ISA",
"policy_number": "AVI-4837",
"is_main_account": false,
"statistics": {
"recent_growth": 100
}
},
"external_references": {
"uuid": "d0c9bc99-aee6-4861-b554-e1c42c566c7c",
"created_at": "2026-10-02T16:26:44+01:00",
"updated_at": "2026-10-02T16:26:44+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"account": {
"uuid": "ac9c4314-21a9-40a4-8a21-13ad809c81ba",
"created_at": "2026-10-02T16:26:38+01:00",
"updated_at": "2026-10-02T16:26:38+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"firm": {
"uuid": "157431fb-4fd5-4b9f-a298-8312d50d01b9",
"created_at": "2026-10-02T16:26:44+01:00",
"updated_at": "2026-10-02T16:26:44+01:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"factfind_pdf_header_background": "#0E0E56",
"factfind_pdf_header_text": "#ffffff",
"factfind_pdf_logo": "https://api.plannrcrm.com/images/plannr.jpg",
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"primary_phone_number": {
"uuid": "1a6f2f96-fb5d-420d-a0b5-1ca1bf7323de",
"created_at": "2026-10-02T16:26:44+01:00",
"updated_at": "2026-10-02T16:26:44+01:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"primary_email": {
"uuid": "1a6f2f96-fb5d-420d-a0b5-1ca1bf7323de",
"created_at": "2026-10-02T16:26:44+01:00",
"updated_at": "2026-10-02T16:26:44+01:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"current_time_entry": {
"uuid": "be910ac8-840b-43da-995a-8ddda0d8358d",
"created_at": "2026-10-02T16:26:44+01:00",
"updated_at": "2026-10-02T16:26:44+01:00",
"name": "Research",
"description": "This is a description.",
"trackable_type": "Client",
"start_date": "2026-10-02T15:36:44+01:00",
"end_date": "2026-10-02T16:04:44+01:00",
"is_active": true,
"total_time_in_minutes": 28,
"computed_time_elapsed_in_seconds": 1680
},
"assigned_adviser": {
"uuid": "b34cabd1-7751-44df-80dc-e3e23f93f4de",
"created_at": "2026-10-02T16:26:44+01:00",
"updated_at": "2026-10-02T16:26:44+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-02T16:26:44+01:00",
"next_review_date": "2026-10-02T16:26:44+01:00",
"previous_review_date": "2026-10-02T16:26:44+01:00",
"anniversary_review_date": "2026-10-02T16:26:44+01:00",
"terms_of_business_at": "2026-10-02T16:26:44+01:00",
"client_agreement_at": "2026-10-02T16:26:44+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-02",
"last_interaction_at": "2026-10-02 16:26:44",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-02T16:26:44+01:00",
"out_of_office_until": "2026-10-02T16:26:44+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"assigned_administrator": {
"uuid": "b34cabd1-7751-44df-80dc-e3e23f93f4de",
"created_at": "2026-10-02T16:26:44+01:00",
"updated_at": "2026-10-02T16:26:44+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-02T16:26:44+01:00",
"next_review_date": "2026-10-02T16:26:44+01:00",
"previous_review_date": "2026-10-02T16:26:44+01:00",
"anniversary_review_date": "2026-10-02T16:26:44+01:00",
"terms_of_business_at": "2026-10-02T16:26:44+01:00",
"client_agreement_at": "2026-10-02T16:26:44+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-02",
"last_interaction_at": "2026-10-02 16:26:44",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-02T16:26:44+01:00",
"out_of_office_until": "2026-10-02T16:26:44+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"assigned_paraplanner": {
"uuid": "b34cabd1-7751-44df-80dc-e3e23f93f4de",
"created_at": "2026-10-02T16:26:44+01:00",
"updated_at": "2026-10-02T16:26:44+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-02T16:26:44+01:00",
"next_review_date": "2026-10-02T16:26:44+01:00",
"previous_review_date": "2026-10-02T16:26:44+01:00",
"anniversary_review_date": "2026-10-02T16:26:44+01:00",
"terms_of_business_at": "2026-10-02T16:26:44+01:00",
"client_agreement_at": "2026-10-02T16:26:44+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-02",
"last_interaction_at": "2026-10-02 16:26:44",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-02T16:26:44+01:00",
"out_of_office_until": "2026-10-02T16:26:44+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"introduced_by": {
"uuid": "b34cabd1-7751-44df-80dc-e3e23f93f4de",
"created_at": "2026-10-02T16:26:44+01:00",
"updated_at": "2026-10-02T16:26:44+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-02T16:26:44+01:00",
"next_review_date": "2026-10-02T16:26:44+01:00",
"previous_review_date": "2026-10-02T16:26:44+01:00",
"anniversary_review_date": "2026-10-02T16:26:44+01:00",
"terms_of_business_at": "2026-10-02T16:26:44+01:00",
"client_agreement_at": "2026-10-02T16:26:44+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-02",
"last_interaction_at": "2026-10-02 16:26:44",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-02T16:26:44+01:00",
"out_of_office_until": "2026-10-02T16:26:44+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"business_unit": {
"uuid": "a8388dd7-0183-4168-80b9-e1778b5ae58e",
"name": "Wealth Management",
"has_alternative_branding": false,
"brand_colours": [],
"members_count": 3,
"groups_count": 2,
"created_at": "2026-10-02T16:26:44+01:00",
"updated_at": "2026-10-02T16:26:44+01:00"
},
"groups": {
"uuid": null,
"name": "finance",
"slug": "finance",
"participants_count": "3",
"participants": {
"uuid": {
"example": null,
"description": "UUID of the account"
},
"role": {
"example": "client",
"description": "Role of the account"
},
"first_name": {
"example": "Gareth",
"description": "First name of the account"
},
"last_name": {
"example": "Thompson",
"description": "Last name of the account"
},
"name": {
"example": "Gareth Thompson",
"description": "Name of the account"
},
"email": {
"example": "gareth@codepotato.co.uk",
"description": "Email of the account"
}
},
"created_at": "2026-10-02T16:26:44+01:00",
"updated_at": "2026-10-02T16:26:44+01:00"
},
"tags": {
"uuid": "ca8e58fb-b4f2-40fa-a063-8f3f8e633553",
"created_at": "2026-10-02T16:26:44+01:00",
"updated_at": "2026-10-02T16:26:44+01:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
},
"owners": {
"uuid": "b34cabd1-7751-44df-80dc-e3e23f93f4de",
"created_at": "2026-10-02T16:26:44+01:00",
"updated_at": "2026-10-02T16:26:44+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-02T16:26:44+01:00",
"next_review_date": "2026-10-02T16:26:44+01:00",
"previous_review_date": "2026-10-02T16:26:44+01:00",
"anniversary_review_date": "2026-10-02T16:26:44+01:00",
"terms_of_business_at": "2026-10-02T16:26:44+01:00",
"client_agreement_at": "2026-10-02T16:26:44+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-02",
"last_interaction_at": "2026-10-02 16:26:44",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-02T16:26:44+01:00",
"out_of_office_until": "2026-10-02T16:26:44+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"first_contact_date": "2026-10-02T16:26:38+01:00",
"next_review_date": "2026-10-02T16:26:38+01:00",
"previous_review_date": "2026-10-02T16:26:38+01:00",
"anniversary_review_date": "2026-10-02T16:26:38+01:00",
"terms_of_business_at": "2026-10-02T16:26:38+01:00",
"client_agreement_at": "2026-10-02T16:26:38+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"joint_account_circle": {
"uuid": "6642a040-0173-4675-a3e4-ed57a065f435",
"created_at": "2026-10-02T16:26:44+01:00",
"updated_at": "2026-10-02T16:26:44+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-10-02T16:26:44+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "105cd763-eea7-465f-97b9-b60463995ef1",
"login_access_level": "write",
"current_life_stage_uuid": "476c1178-cbed-4adf-826e-17348d6f9303"
},
"circles": {
"uuid": "6642a040-0173-4675-a3e4-ed57a065f435",
"created_at": "2026-10-02T16:26:44+01:00",
"updated_at": "2026-10-02T16:26:44+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-10-02T16:26:44+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "105cd763-eea7-465f-97b9-b60463995ef1",
"login_access_level": "write",
"current_life_stage_uuid": "476c1178-cbed-4adf-826e-17348d6f9303"
},
"ownership_percentage": 100,
"inactive_at": "2026-10-02",
"last_interaction_at": "2026-10-02 16:26:38",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-02T16:26:38+01:00",
"out_of_office_until": "2026-10-02T16:26:38+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"service_level": {
"uuid": "c88f8733-8941-4e3e-9e53-a23db4614a8f",
"name": "Gold",
"created_at": "2026-10-02T16:26:44+01:00",
"updated_at": "2026-10-02T16:26:44+01:00"
},
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"custom_fields": {
"uuid": null,
"created_at": "2026-10-02T16:26:44+01:00",
"updated_at": "2026-10-02T16:26:44+01:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink."
},
"external_references": {
"uuid": "d0c9bc99-aee6-4861-b554-e1c42c566c7c",
"created_at": "2026-10-02T16:26:44+01:00",
"updated_at": "2026-10-02T16:26:44+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"transaction_schedule": {
"uuid": "42a3bca0-9333-418c-b0cc-96c9abb87f0a",
"created_at": "2026-10-02T16:26:38+01:00",
"updated_at": "2026-10-02T16:26:38+01:00",
"plan": {
"uuid": "cd091c53-8521-46aa-a6f5-6cb842ad6bc2",
"created_at": "2026-10-02T16:26:44+01:00",
"updated_at": "2026-10-02T16:26:44+01:00",
"opened_at": "2026-10-02T16:26:44+01:00",
"name": "Johns ISA",
"type": "cash_account",
"sub_type": "lifetime isa",
"abstract_type": "asset",
"policy_number": "AVIVA-123",
"proposal_reference": "AB123456",
"status": "inactive",
"inactive_at": "2026-10-02T16:26:44+01:00",
"inactive_reason": "claimed",
"agency_in_your_name": true,
"agency_in_your_name_from": "2025-10-02",
"originally_sold_by_firm": true,
"under_advice": true,
"visible_on_client_portal": true,
"include_in_client_valuation": true,
"show_on_joint": true,
"shown_on_circles": true,
"review_date": "2025-10-02",
"on_panel": true,
"is_group_scheme": false,
"is_sub_group_scheme": false,
"is_group_scheme_member": false,
"advice_area": "non_investment_insurance",
"total_benefit_amount": {
"amount": {
"example": "25000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£250,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"total_benefits": {
"critical_illness": {
"amount": {
"example": "15000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£150,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"family_income_benefit": {
"amount": {
"example": "10000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£100,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
}
},
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"valued_at": "2026-10-02T16:26:44+01:00",
"original_valued_at": "2026-10-01T16:26:44+01:00",
"statistics": {
"recent_growth": 100
},
"is_wrap_product": false,
"is_wrap_child": false,
"can_be_deleted": "false"
},
"sub_account": {
"uuid": "a9c72b16-7329-49f0-9862-871b8face9fa",
"created_at": "2026-10-02T16:26:44+01:00",
"updated_at": "2026-10-02T16:26:44+01:00",
"name": "John's ISA",
"policy_number": "AVI-4837",
"is_main_account": false,
"statistics": {
"recent_growth": 100
}
},
"holding": {
"uuid": "23be0e33-0748-4c2b-82d7-0ea8fcbf3bae",
"created_at": "2026-10-02T16:26:45+01:00",
"updated_at": "2026-10-02T16:26:45+01:00",
"fund_name": "Fund",
"reference": "REF123",
"sector": "Europe",
"sedol": "ACB123",
"isin": "ACB123",
"citi": "ACB123",
"units": 5,
"unit_price": {
"amount": {
"example": "1000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£10.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"unit_price_raw": 10.0,
"purchase_price": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"is_active": true,
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
}
},
"account": {
"uuid": "b34cabd1-7751-44df-80dc-e3e23f93f4de",
"created_at": "2026-10-02T16:26:44+01:00",
"updated_at": "2026-10-02T16:26:44+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-02T16:26:44+01:00",
"next_review_date": "2026-10-02T16:26:44+01:00",
"previous_review_date": "2026-10-02T16:26:44+01:00",
"anniversary_review_date": "2026-10-02T16:26:44+01:00",
"terms_of_business_at": "2026-10-02T16:26:44+01:00",
"client_agreement_at": "2026-10-02T16:26:44+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-02",
"last_interaction_at": "2026-10-02 16:26:44",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-02T16:26:44+01:00",
"out_of_office_until": "2026-10-02T16:26:44+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"provider": {
"uuid": "859523ed-2cd8-4715-a78c-d827c21b1e85",
"created_at": "2026-10-02T16:26:44+01:00",
"updated_at": "2026-10-02T16:26:44+01:00",
"name": "AJ Bell",
"slug": "aj-bell"
},
"provider_controlled": true,
"type": "contribution",
"sub_type": "product_fees",
"amount": {
"amount": "1099",
"currency": "GBP",
"formatted": "£10.99"
},
"frequency": "monthly",
"start_date": "2026-10-02",
"end_date": "2027-10-02",
"next_transaction_date": "2026-11-02",
"paused_until": "2026-10-02T16:26:38+01:00"
},
"provider": {
"uuid": "3945c2f2-1d57-462d-b421-d34e7982b1f9",
"created_at": "2026-10-02T16:26:38+01:00",
"updated_at": "2026-10-02T16:26:38+01:00",
"name": "AJ Bell",
"slug": "aj-bell"
},
"type": "contribution",
"sub_type": "product_fees",
"amount": {
"amount": "1099",
"currency": "GBP",
"formatted": "£10.99"
},
"date": "2026-10-02",
"notes": "Withdrawal from ISA",
"status": "Completed",
"editable": true
}
]
}